Subject: Re: [Gen-art] Gen-ART review of draft-ietf-tram-turn-third-party-authz-08

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Fri, 6 Feb 2015 09:28:47 +0000

Hi Christer,

Thanks for the review.
Please see inline [TR]

From: Christer Holmberg [mailto:[email-masked]]
Sent: Thursday, February 05, 2015 9:45 PM
To: [email-masked]
Cc: [email-masked]
Subject: Gen-ART review of draft-ietf-tram-turn-third-party-authz-08

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document:                         draft-ietf-tram-turn-third-party-authz-08.txt

Reviewer:                           Christer Holmberg

Review Date:                     5 February 2015

IETF LC End Date:             4 January 2015

IETF Telechat Date:         19 February 2015

Summary: The document is well written, and almost ready for publication. However, I do have some editorial comments, which I request to authors to address.

Major Issues: None

Minor Issues: None

Editorial nits: See below

-------------

General:

QGEN_1: The text says "OAuth". Should it say "OAuth 2.0"?

[TR] Yes, updated.

-------------

Section 1:

Q1_1: The text says "OAuth". Should it say "OAuth 2.0"?

[TR] Yes, fixed.

Q1_2: Please add an OAuth reference on first occurrence.

[TR] Added

Q1_3: I suggest to add a sentence, saying that the document also defines how to use OAuth with the TURN extension.

[TR] Added the following line in introduction:

   Third party authorization using OAuth 2.0 for STUN explained in this
   specification can also be used with Traversal Using Relays around NAT
     (TURN) [RFC5766].

-------------

Section 3:

Q3_1: The text says:

"In the future STUNbis [I-D.ietf-tram-stunbis] will support hash
agility and accomplish this agility by conveying the HMAC algorithms
supported by the STUN server along with a STUN error message to the
client."

I suggest to remove "In the future STUNbis".

[TR] Removed.

Q3_2: The text says:

              "The STUN token is returned in JSON"

Should the text say "JSON format", "JSON syntax", or something similar?

[TR] Updated to "JSON syntax"

Q3_3: Please add a reference to JSON on first occurence.

[TR] Added

Q3_4: Where are the parameter names of the JSON message defined?

[TR] The parameter names of the JSON message are defined in https://tools.ietf.org/html/draft-ietf-oauth-pop-key-distribution-00

Are the parameter names identical to the ones listed in section 6.2?

[TR] It need not be identical, token structure is opaque to the client.

Figure 3 does show an example, but there should be normative text.

[TR] Figure 3 is moved to Appendix in the latest revision http://tools.ietf.org/html/draft-ietf-tram-turn-third-party-authz-09#appendix-B

-------------

Section 4:

Q4_1:    The section gives an example using a TURN server. But, before that TURN has not been mentioned, and TURN usage is not described until section 9.

In addition, I don't think the example even belongs in this section, which is only about obtaining the access token. I suggest to move the example to section 9.

[TR] Moved text to Section 9.

-------------

Section 7:

Q7_1: I suggest to change the section name to "STUN Server Procedures", or something like that.

[TR] Changed to "STUN Server Behaviour"

-------------

Section 8:

Q8_1: I suggest to change the section name to "STUN Client Procedures", or something like that.

[TR] Changed to "STUN Client Behaviour"

Cheers,
-Tiru

-------------

Regards,

Christer

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 6 Feb 2015 10:48:19 +0000

Hi Tiru,

In general, your suggestions are ok. One more comment on Q3_4.

> [TR] The parameter names of the JSON message are defined in 
> https://tools.ietf.org/html/draft-ietf-oauth-pop-key-distribution-00

Would it be good to indicate that?

I see that you do reference draft-ietf-oauth-pop-key-distribution-00, but for other purposes.

Regards,

Christer

---

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Fri, 6 Feb 2015 10:54:46 +0000

> -----Original Message-----
> Sent: Friday, February 06, 2015 4:18 PM
> To: Tirumaleswar Reddy (tireddy); [email-masked]
> Subject: RE: Gen-ART review of draft-ietf-tram-turn-third-party-authz-08
> 
> Hi Tiru,
> 

Yup, fixed.

-Tiru

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 6 Feb 2015 11:02:16 +0000

Hi,

>> Would it be good to indicate that?

Thanks! :)

Regards,

Christer